real_diam = 35.8;
real_depth = 17.2;
fudge = 0.1;
diam = real_diam + fudge;
depth = real_depth + fudge;
detail = 100;
thickness = 15;
plate = 150;
front = 6;

module mock_scope(x, y) {
    cylinder(h = depth + y, d = diam + x, $fn=detail);
}

module billet() {
    union() {
        cylinder(h = depth, d = diam + thickness, $fn=detail);
        cylinder(h = depth/front, d = (diam + thickness)*1.8, $fn=detail);
        translate([-plate/2,-thickness/2,0]) cube([plate, thickness, depth/front]);
        rotate([0,0,90]) translate([-plate/2,-thickness/2,0]) cube([plate, thickness, depth/front]);
    }
}

module product() {
    difference() {
        billet();
        translate([0,0,-thickness]) mock_scope(0,thickness*2);
    };
}



product();


